Bug 170458 - [MAINTAINER] games/glightoff: Makefile new Options
Summary: [MAINTAINER] games/glightoff: Makefile new Options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-07 17:30 UTC by nemysis
Modified: 2012-08-09 06:50 UTC (History)
0 users

See Also:


Attachments
glightoff-1.0.0.patch (1017 bytes, patch)
2012-08-07 17:30 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-07 17:30:02 UTC
New Options for Makefile

.if ${PORT_OPTIONS:MDOCS}

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Jason Helfman freebsd_committer 2012-08-08 21:55:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-08-09 06:45:23 UTC
Author: jgh
Date: Thu Aug  9 05:45:13 2012
New Revision: 302327
URL: http://svn.freebsd.org/changeset/ports/302327

Log:
  - use optionsNG style for DOCS
  - while here drop deprecated pkgconfig on GNOME attribute
   - bump not necessary as other dependencies require pkgconf within existing
     attribute
  
  PR:	170458
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/glightoff/Makefile   (contents, props changed)
  head/games/glightoff/pkg-plist   (contents, props changed)

Modified: head/games/glightoff/Makefile
==============================================================================
--- head/games/glightoff/Makefile	Thu Aug  9 05:36:06 2012	(r302326)
+++ head/games/glightoff/Makefile	Thu Aug  9 05:45:13 2012	(r302327)
@@ -17,7 +17,7 @@ LICENSE=	GPLv2
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
-USE_GNOME=	glib20 gtk20 intltool pkgconfig
+USE_GNOME=	glib20 gtk20 intltool
 USE_XORG=	x11
 
 CFLAGS+=	-I${LOCALBASE}/include
@@ -42,12 +42,12 @@ post-configure:
 .endif
 
 post-install:
-# Documentations
-.if !defined(NOPORTDOCS)
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-.for f in ${PORTDOCS}
+.  for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.endfor
+.  endfor
 .endif
 
 .include <bsd.port.mk>

Modified: head/games/glightoff/pkg-plist
==============================================================================
--- head/games/glightoff/pkg-plist	Thu Aug  9 05:36:06 2012	(r302326)
+++ head/games/glightoff/pkg-plist	Thu Aug  9 05:45:13 2012	(r302327)
@@ -4,7 +4,7 @@ share/applications/glightoff.desktop
 %%NLS%%share/locale/fr/LC_MESSAGES/glightoff.mo
 %%NLS%%share/locale/it/LC_MESSAGES/glightoff.mo
 share/pixmaps/glightoff.png
-share/pixmaps/glightoff/bulb_on.svg
 share/pixmaps/glightoff/bulb_off.svg
+share/pixmaps/glightoff/bulb_on.svg
 @dirrm share/pixmaps/glightoff
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-08-09 06:45:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!